Bug 1059428 - Failed dependencies installing libguestfs with glibc ppc64p7
Summary: Failed dependencies installing libguestfs with glibc ppc64p7
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: libguestfs
Version: 20
Hardware: ppc64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Richard W.M. Jones
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1066630
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-29 20:33 UTC by Gustavo Luiz Duarte
Modified: 2015-06-29 14:52 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 14:52:04 UTC


Attachments (Terms of Use)
repoquery -ql glibc-2.18-11.fc20.ppc64 (10.14 KB, text/plain)
2014-01-29 20:36 UTC, Gustavo Luiz Duarte
no flags Details
repoquery -ql glibc-2.18-11.fc20.ppc64p7 (9.34 KB, text/plain)
2014-01-29 20:38 UTC, Gustavo Luiz Duarte
no flags Details

Description Gustavo Luiz Duarte 2014-01-29 20:33:12 UTC
Description of problem:
Trying to install libguestfs from PPC koji, I get the following error:

$ rpm -ivh libguestfs-1.24.5-1.fc20.ppc64.rpm 
error: Failed dependencies:
        libosinfo is needed by libguestfs-1:1.24.5-1.fc20.ppc64
        /lib64/power6/libc.so.6 is needed by libguestfs-1:1.24.5-1.fc20.ppc64
        /lib64/power6/libm.so.6 is needed by libguestfs-1:1.24.5-1.fc20.ppc64
        /lib64/power6/libpthread.so.0 is needed by libguestfs-1:1.24.5-1.fc20.ppc64
        /lib64/power6/librt.so.1 is needed by libguestfs-1:1.24.5-1.fc20.ppc64
        /lib64/power6/libthread_db.so.1 is needed by libguestfs-1:1.24.5-1.fc20.ppc64
        /lib64/power6x/libc.so.6 is needed by libguestfs-1:1.24.5-1.fc20.ppc64
        /lib64/power6x/libm.so.6 is needed by libguestfs-1:1.24.5-1.fc20.ppc64
        /lib64/power6x/libpthread.so.0 is needed by libguestfs-1:1.24.5-1.fc20.ppc64
        /lib64/power6x/librt.so.1 is needed by libguestfs-1:1.24.5-1.fc20.ppc64
        /lib64/power6x/libthread_db.so.1 is needed by libguestfs-1:1.24.5-1.fc20.ppc64
        /lib64/rtkaio/power6/librt.so.1 is needed by libguestfs-1:1.24.5-1.fc20.ppc64
        /lib64/rtkaio/power6x/librt.so.1 is needed by libguestfs-1:1.24.5-1.fc20.ppc64


This only happens if I have the ppc64p7 version of glibc installed.

This is probably related to the script libguestfs-find-requires.sh. Notice that the koji builders have the generic ppc64 version of glibc, which includes these power6 runtimes. But the optimized ppc64p7 version of glibc does *not* include the power6 runtime.


Version-Release number of selected component (if applicable):
libguestfs-1.24.4-1.fc20

How reproducible:
Always

Steps to Reproduce:
1. yum localinstall http://ppc.koji.fedoraproject.org/kojifiles/packages/libguestfs/1.24.4/1.fc20/ppc64/libguestfs-1.24.4-1.fc20.ppc64.rpm
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Gustavo Luiz Duarte 2014-01-29 20:36:54 UTC
Created attachment 857242 [details]
repoquery -ql glibc-2.18-11.fc20.ppc64

Comment 2 Gustavo Luiz Duarte 2014-01-29 20:38:08 UTC
Created attachment 857243 [details]
repoquery -ql glibc-2.18-11.fc20.ppc64p7

Comment 3 Richard W.M. Jones 2014-02-18 15:05:41 UTC
I built the Rawhide package locally on a ppc64 (POWER7) machine
(IBM,8246-L2T with 64 cores) and libguestfs both builds and
installs fine.

It does not actually work, owing to bug 1066524.

The built package has:

$ rpm -qRp ./ppc64/libguestfs-1.25.36-4.fc21.ppc64.rpm | grep 'lib[cm]\.'
libc.so.6()(64bit)
libc.so.6(GLIBC_2.10)(64bit)
libc.so.6(GLIBC_2.15)(64bit)
libc.so.6(GLIBC_2.16)(64bit)
libc.so.6(GLIBC_2.17)(64bit)
libc.so.6(GLIBC_2.3)(64bit)
libc.so.6(GLIBC_2.3.4)(64bit)
libc.so.6(GLIBC_2.4)(64bit)
libc.so.6(GLIBC_2.6)(64bit)
libc.so.6(GLIBC_2.8)(64bit)
libc.so.6(GLIBC_2.9)(64bit)
libm.so.6()(64bit)

The build machine has the following packages installed:

$ rpm -q glibc
glibc-2.18-11.fc20.ppc64p7
glibc-2.18-11.fc20.ppc

So I guess the moral is we need to build it on the same architecture
that we run it on.

Is it not possible to install the glibc ppc64p7 package in Koji?  That
would be the easy way to solve this problem.

Comment 4 Richard W.M. Jones 2014-02-20 11:08:41 UTC
I tried out a list of non-upstream qemu patches that Tom Musta
supplied, and they worked well allowing libguestfs to run on ppc64p7.

https://lists.nongnu.org/archive/html/qemu-devel/2014-02/msg03501.html

Also upstream we are updating supermin so it can work from a list of
packages rather than files, which will more generally solve this problem.

Comment 5 Richard W.M. Jones 2014-03-20 08:52:50 UTC
A few people have asked me about this bug today.  So:

(1) Please try the Rawhide packages (or libguestfs and supermin).
The dependency generation mechanism has changed completely.
Any results you get on F20 are meaningless.

(2) qemu 2.0 rc0 is in Rawhide, and that includes VSX support that
was added by Tom Musta.  This is required for libguestfs to work
with ppc64p7, so you're going to have to use Rawhide.

It should probably just work with Rawhide packages, but there may
perhaps be further changes we have to make.

Comment 6 Richard W.M. Jones 2014-03-20 08:53:49 UTC
(In reply to Richard W.M. Jones from comment #5)
> (1) Please try the Rawhide packages (or libguestfs and supermin).
                                       ^OF

Comment 7 Richard W.M. Jones 2014-03-28 19:30:55 UTC
(In reply to Richard W.M. Jones from comment #5)
> A few people have asked me about this bug today.  So:
> 
> (1) Please try the Rawhide packages (or libguestfs and supermin).
> The dependency generation mechanism has changed completely.
> Any results you get on F20 are meaningless.

Actually, now you can try the F20 builds of supermin 5.1.6 and
libguestfs 1.26.0, since those match upstream.  Unfortunately ...

> (2) qemu 2.0 rc0 is in Rawhide, and that includes VSX support that
> was added by Tom Musta.  This is required for libguestfs to work
> with ppc64p7, so you're going to have to use Rawhide.

this is still going to be a problem on F20, and there's
no way to solve it except to update qemu (or, I guess,
backport a very long and ill-defined list of VSX patches).

Comment 8 Fedora End Of Life 2015-05-29 10:44:14 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 9 Fedora End Of Life 2015-06-29 14:52:04 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.